Updating priiloader

Discussion in 'Wii - Hacking' started by psul, Mar 24, 2011.

Mar 24, 2011

Updating priiloader by psul at 3:56 PM (1,509 Views / 0 Likes) 7 replies

  1. psul
    OP

    Newcomer psul Newbie

    Joined:
    Oct 11, 2009
    Messages:
    7
    Country:
    United States
    Hi,
    I have an old version of priiloader on my wii (V2 I think) and need to update as I am having problems with the usb camera - console boots to blank screen with camera plugged in (seems to be a known issue with priiloader up to v4 from what I've read). Was planning on using v7 beta as v5 and 6 seem a bit controversial re a risk of bricking.

    Do I simply replace the files on sd card with new ones or do I then need to install again via HBC?
    I gather I dont need to actually uninstall the old version.

    Also slightly confused re hacks.ini file.
    I understand that the directory has changed but can I still use this file or do I have to use the new hacks_hash.ini file instead?
    Got the impression that either file could be used but not sure about this.

    Any help much appreciated.
     
  2. drewmerc

    Member drewmerc GBAtemp Regular

    Joined:
    Mar 20, 2007
    Messages:
    137
    Country:
    United Kingdom
    when i updated i just ran the updated installer from hbc
    also i copied the hacks.ini to both the apps/priiloader folder and to root
     
  3. Lacius

    Member Lacius GBAtemp Psycho!

    Joined:
    May 11, 2008
    Messages:
    3,911
    Location:
    St. Louis, Missouri
    Country:
    United States
    I see no reason not to use 0.7 beta 1. However, you should always make sure to delete the line no_ios_reload from the meta.xml file; this gets rid of any brick risk. In order for the Priiloader installer to work, however, you now need to have a trucha patched IOS36.

    It is also recommended that you download the latest hacks_hash.ini file and put it in the priiloader directory in your apps folder.
     
  4. Stewy12

    Member Stewy12 GBAtemp Regular

    Joined:
    Nov 5, 2009
    Messages:
    148
    Country:
    United Kingdom
    I just tried to update mine from v 0.5 through the homebrew channel, it says that it updated but when I just checked in priiloader it still says v 0.5... [​IMG]
     
  5. Lacius

    Member Lacius GBAtemp Psycho!

    Joined:
    May 11, 2008
    Messages:
    3,911
    Location:
    St. Louis, Missouri
    Country:
    United States
    Try uninstalling Priiloader first.
     
  6. psul
    OP

    Newcomer psul Newbie

    Joined:
    Oct 11, 2009
    Messages:
    7
    Country:
    United States
    Thanks for the replies guys.

    So I overwrite the existing priiloader files with the new ones and (after deleting the line no_ios_reload from the meta.xml file ) run the installer from HBC (yes I have patched IOS36).This will replace existing version with new one or do I have to uninstall existing version first?

    Still conflicting info here re hacks.ini file. Can I still use this or does hacks_hash.ini file have to be used instead?
     
  7. zizer

    Member zizer GBAtemp Addict

    Joined:
    Aug 23, 2010
    Messages:
    2,035
    Country:
    yes, this will replace existing version and you can use hacks.ini
     
  8. WiiJohn

    Newcomer WiiJohn Member

    Joined:
    Sep 11, 2009
    Messages:
    46
    Location:
    UK
    Country:
    United Kingdom
    You don't have to use the hacks_hash.ini. You can set the option in settings, use classic hacks.ini.
    When this is set you can still use the old hacks.ini file.
    I would recommend you use the new hacks_hash.ini, as the old feature will probably be removed in later versions.
     

Share This Page